Contents

# MsgBox Statement

Hiển thị hộp thoại chứa một thông điệp.

### Syntax:

       MsgBox prompt As String [,buttons = MB_OK [,title As String]]
       response = MsgBox( prompt As String [,buttons = MB_OK [,title As String]])

### Parameters:

prompt: String expression displayed as a message in the dialog box. Line breaks can be inserted with Chr$(13).

title: String expression displayed in the title bar of the dialog. If omitted, the title bar displays the name of the respective application.

buttons: Any integer expression that specifies the dialog type, as well as the number and type of buttons to display, and the icon type. buttons represents a combination of bit patterns, that is, a combination of elements can be defined by adding their respective values:

Named constant | Integer value | Definition
--- | --- | ---
MB_OK | 0 | Display OK button only.
MB_OKCANCEL | 1 | Display OK and Cancel buttons.
MB_ABORTRETRYIGNORE | 2 | Display Abort, Retry, and Ignore buttons.
MB_YESNOCANCEL | 3 | Display Yes, No, and Cancel buttons.
MB_YESNO | 4 | Display Yes and No buttons.
MB_RETRYCANCEL | 5 | Display Retry and Cancel buttons.
MB_ICONSTOP | 16 | Add the Stop icon to the dialog.
MB_ICONQUESTION | 32 | Add the Question icon to the dialog.
MB_ICONEXCLAMATION | 48 | Add the Exclamation Point icon to the dialog.
MB_ICONINFORMATION | 64 | Add the Information icon to the dialog.
| 128 | First button in the dialog as default button.
MB_DEFBUTTON2 | 256 | Second button in the dialog as default button.
MB_DEFBUTTON3 | 512 | Third button in the dialog as default button.

### Error codes:

5 Sai gọi thủ tục

### Example:

    Sub ExampleMsgBox
     Const sText1 = "Gặp lỗi bất thường."
     Const sText2 = "Tuy nhiên, chương trình sẽ tiếp tục lại chạy."
     Const sText3 = "Lỗi"
     MsgBox(sText1 + Chr(13) + sText2,16,sText3)
     MsgBox(sText1 + Chr(13) + sText2, MB_ICONSTOP, sText3)
    End Sub